# Denmark

Denmark BankID ([MitID](https://digst.dk/it-loesninger/mitid/)) is secure way of authentication for Danish citizens and residents thanks to collaboration with Danish banks and public sector. It provides fast and secure identification of Danish citizen.

### Level of assurance:

Secure login supporting all three levels of assurance (LoA) from eIDAS, Low, Substantial and High:

* **Low**: Authenticates the user with single-factor authentication, e.g. with password or chip.
* **Substantial**: Authenticates the user with a two-factor authenticator combination, e.g. with the MitID app on a smart phone.
* **High**: Authenticates the user with a more advanced two-factor authenticator combination, e.g. the MitID app + chip.

## **Attribute reference:**

| Attribute                      | Type   | Description                                                |
| ------------------------------ | ------ | ---------------------------------------------------------- |
| [identity](#identity)          | object | Object used to store foreigner data.                       |
| [providerData](#provider-data) | object | Internal id of chosen data set. In this case it will be 7. |

### **Identity**

| Attribute           | Type              | Description                                        |
| ------------------- | ----------------- | -------------------------------------------------- |
| age                 | integer           | Age of the person                                  |
| countryCode         | string            | Country code. Always `DK` for Norwegian BankID     |
| dateOfBirth         | date (YYYY-MM-DD) | Date of birth of the person                        |
| firstName           | string            | First name of the person                           |
| fullName            | string            | Full name of the person                            |
| idProviderName      | string            | Name of the ID provider                            |
| idProviderPersonId  | string            | Person id assigned by the provider to the person   |
| idProviderRequestId | string            | Request id assigned by the provider to the request |
| identificationDate  | dateTime          | Date and time of identification                    |
| lastName            | string            | Last name of the person                            |
| personalNumber      | string            | National identity number of the person.            |

### **Provider data**

| Attribute                                           | Type    | Description                                              |
| --------------------------------------------------- | ------- | -------------------------------------------------------- |
| dk.mitid.psd2                                       | boolean | Indicates if the user is compliant with PSD2 regulations |
| [dk.mitid.assurancelevel](#dk.mitid.assurancelevel) | object  | Additional Certificate Information                       |
| dk.mitid.hasCPR                                     | boolean | Whether or not the user has a registered CPR number.     |
| dk.mitid.transactionid                              | string  | MitID's identifier for the transaction.                  |

### dk.mitid.assurancelevel

<table><thead><tr><th>Attribute</th><th width="224">Type</th><th>Description</th></tr></thead><tbody><tr><td>loa</td><td>boolean</td><td>The Level of Authentication for the authentication</td></tr><tr><td>ial</td><td>long</td><td>Identity Assurance Level</td></tr><tr><td>aal</td><td>long</td><td>Authentication Assurance Level</td></tr><tr><td>fal</td><td>string</td><td>Federated Assurance Level. This will always have the value <code>HIGH</code>.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/bankid/denmark.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
